Close a conversation
POST
const url = 'https://optlo.com/api/v1/conversations/example/close';const options = { method: 'POST', headers: { 'idempotency-key': 'example', Authorization: 'Bearer <token>', 'Content-Type': 'application/json' }, body: '{}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://optlo.com/api/v1/conversations/example/close \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --header 'idempotency-key: example' \ --data '{}'Requires conversations:write. Send an empty JSON object and Idempotency-Key. Keys are scoped to the API key and canonical route, and retained for 24 hours. Replays return the original response even if the conversation later changes. Repeating the current state succeeds without another event. Greeting-only conversations are unavailable. Does not create billable activity.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”conversationId
required
string
Unique identifier for the conversation.
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
Show child attributes
Response
Section titled “Response”Success
Media typeapplication/json
Show child attributes
id
required
Unique identifier for the conversation.
string
closedAt
required
Time the conversation was closed. Null while the conversation is open.
nullable string format: date-time
Example
{ "id": "conv_B8kN4pR6xZ2_kR7mP3xB9nQ2vL5z", "closedAt": "2026-10-13T09:30:00.000Z"}